using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace QRTest
{
	/// <summary>
	/// WebForm1 ̊Tv̐łB
	/// </summary>
	public class WebForm1 : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Image Image1;
		protected System.Web.UI.WebControls.DropDownList cboImageKind;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.Label Label2;
		protected System.Web.UI.WebControls.Label Label3;
		protected System.Web.UI.WebControls.Label Label4;
		protected System.Web.UI.WebControls.Label Label5;
		protected System.Web.UI.WebControls.DropDownList cboVersion;
		protected System.Web.UI.WebControls.DropDownList cboErr;
		protected System.Web.UI.WebControls.DropDownList cboStringKind;
		protected System.Web.UI.WebControls.Button btnDraw;
		protected System.Web.UI.WebControls.TextBox txtCode;
		protected System.Web.UI.WebControls.Label Label6;
		protected System.Web.UI.WebControls.Label lblErr;
		protected System.Web.UI.WebControls.DropDownList cboSize;

		private int cnt;
		private void Page_Load(object sender, System.EventArgs e)
		{
			if(!this.IsPostBack)
			{
				//ftHglݒ
				cboVersion.SelectedIndex = 4; // o[WF5
				cboStringKind.SelectedIndex = 2; // FZ
				cboErr.SelectedIndex = 1; // G[xFM
				cboSize.SelectedIndex = 0; // TCYF1
				cboImageKind.SelectedIndex = 0; // C[W̎ށFJPEG

				try
				{
					System.IO.File.Delete(Server.MapPath("*.jpg"));
					System.IO.File.Delete(Server.MapPath("*.gif"));
				}
				catch{}
				cnt = 0;
				Session["cnt"] = cnt;

			}
			ViewState["NOCACHE"] = true;

			cnt = (int)Session["cnt"];
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: ̌ĂяóAASP.NET Web tH[ fUCiŕKvłB
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Designer T|[gɕKvȃ\bhłBR[h GfB^
		/// ̃\bh̃RecύXȂłB
		/// </summary>
		private void InitializeComponent()
		{    
			this.btnDraw.Click += new System.EventHandler(this.btnDraw_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void btnDraw_Click(object sender, System.EventArgs e)
		{

			lblErr.Text = "";
			if(txtCode.Text == "")
			{
				lblErr.Text = "QRR[h͂ĂB";
				return;
			}

			Bitmap	b = new Bitmap(780,780);
			Graphics g = Graphics.FromImage(b);
			g.PageUnit = GraphicsUnit.Pixel;
			g.FillRectangle(new SolidBrush(Color.White),0,0,780, 780);

			Pao.BarCode.QRCode qr = new Pao.BarCode.QRCode(g);
			qr.Version = int.Parse(cboVersion.SelectedItem.Value);
			qr.EncodeMode = cboStringKind.SelectedItem.Value;
			qr.ErrorCorrect = cboErr.SelectedItem.Value;
			try
			{
				qr.DrawDelicate(txtCode.Text, 20, 20,Convert.ToSingle(cboSize.SelectedItem.Text));
			}
			catch(Pao.BarCode.errQRCodeOverLength)
			{
				lblErr.Text = "I[o[I";
				return;
			}

			if(cboImageKind.SelectedItem.Value == "JPEG")
			{
				b.Save(Server.MapPath(cnt.ToString() + ".jpg"),System.Drawing.Imaging.ImageFormat.Jpeg);
				Image1.ImageUrl = cnt.ToString() + ".jpg";
			}
			else
			{
				b.Save(Server.MapPath(cnt.ToString() + ".gif"),System.Drawing.Imaging.ImageFormat.Gif);
				Image1.ImageUrl = cnt.ToString() + ".gif";
			}

			cnt++;
			Session["cnt"] = cnt;

		
		}
	}
}
